module hibis.renderer.renderer;

import hibis.math.types;

abstract class Renderer {
	// Draw
	void clearScreen(Color col);
	void renderCurrent();

	// Pre and Post draw
	void preDraw();
	void postDraw();

	// Update
	void update();

	// Util
	void setWindowTitle(string title);

	public bool keepOpen = true;
}